Skip to content

LoanAppVerForm⁠

Perform various operations for Symitar parameters.

Operations⁠

getLoanAppVerFormSelectFields⁠

POST

Execute the persistent ParameterService getLoanAppVerFormSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppVerFormVerFormintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanAppVerFormSelectFields
POST /nexum/627/persistent/parameter/getLoanAppVerFormSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanAppVerFormVerForm": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppVerFormFields": true,
    "LoanAppVerFormFields": {
      "VerForm": true,
      "VerFormDescription": true,
      "VerFormSpecfile": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppVerFormPagedListSelectFields⁠

POST

Execute the persistent ParameterService getLoanAppVerFormPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanAppVerFormPagedListSelectFields
POST /nexum/627/persistent/parameter/getLoanAppVerFormPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppVerFormFields": true,
    "LoanAppVerFormFields": {
      "VerForm": true,
      "VerFormDescription": true,
      "VerFormSpecfile": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchLoanAppVerFormPagedSelectFields⁠

POST

Execute the persistent ParameterService searchLoanAppVerFormPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchLoanAppVerFormPagedSelectFields
POST /nexum/627/persistent/parameter/searchLoanAppVerFormPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppVerFormFields": true,
    "LoanAppVerFormFields": {
      "VerForm": true,
      "VerFormDescription": true,
      "VerFormSpecfile": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateLoanAppVerFormByID⁠

POST

Execute the persistent ParameterService updateLoanAppVerFormByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppVerFormVerFormintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateLoanAppVerFormByID
POST /nexum/627/persistent/parameter/updateLoanAppVerFormByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanAppVerFormVerForm": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "LoanAppVerFormFields": {
    "VerForm": 0,
    "VerFormDescription": "string",
    "VerFormSpecfile": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}